section.schema {
  display: flex;
  flex-direction: column;

  background-color: lightgray;
  border: 2px inset;

  --schema-indent: 1em;
  --schema-indent-between: var(--schema-indent);
  --schema-level: 0;

  &,
  li.schema-level.schema-group > div.schema-level-body {
    padding: var(--schema-indent);
  }

  > ul,
  div.schema-level-body > ul {
    margin-bottom: 0;
  }

  > ul,
  li.schema-level > div.schema-level-body,
  li.schema-level > div.schema-level-body > ul {
    display: flex;
    flex-direction: column;

    padding: 0;
  }

  li.schema-level {
    list-style: none;

    z-index: calc(var(--schema-level) * 10);

    &.schema-group > header.schema-group-header,
    > div.schema-level-body {
      background-color: white;
      border: 1px solid black;
    }

    &.schema-level-odd {
      &.schema-group > header.schema-group-header,
      > div.schema-level-body {
        background-color: #fafafa;
      }
    }

    > div.schema-level-body {
      box-shadow: 2px 2px;
    }

    &.schema-group {
      position: relative;

      > header.schema-group-header {
        position: absolute;
        left: 0.75em;
        top: 0;
        z-index: calc(1 + var(--schema-level) * 10);

        padding-left: 0.25em;
        padding-right: 0.25em;

        border-style: solid solid none solid;
        border-top-left-radius: 5px;
        border-top-right-radius: 5px;
      }

      > div.schema-level-body {
        position: relative;
        margin-top: calc(1.4em + 1px);

        > ul {
          gap: var(--schema-indent-between);
        }

        //Fix header overlap effect
        &:before {
          position: absolute;
          content: '';
          display: block;
          background: inherit;
          width: 100%;
          height: 2px;
          top: 0;
          left: 0;
          z-index: calc(2 + var(--schema-level) * 10);
        }
      }
    }

    &.schema-block > div.schema-level-body {
      > div.schema-block-caption {
        display: flex;
        flex-direction: row;
        gap: 1.5em;
        align-items: center;
        padding: 1em;

        > div.schema-block-icon {
          display: flex;
          flex-direction: column;
          align-items: center;

          font-size: xx-large;
        }

        > div.schema-block-caption-text {
          font-size: large;
        }
      }

      > ul {
        padding-top: 0em;
        padding-left: 4.5em;
        padding-right: 1em;
        padding-bottom: 1em;
      }
    }
  }
}
